# Interface ICriteriaDefinition

All Superinterfaces:
  `IUAElement`

public interface ICriteriaDefinition extends IUAElement
ICriteriaDefinition represents the criteria definition of one plug-in. It contains criterion definitions, each of them is criterion id and its display name, and criterion values id and their display names.

Since:
  3.5

## Method Summary

Modifier and Type
Method
Description
`ICriterionDefinition[]`
`getCriterionDefinitions()`
Obtains the criterion definitions contained in the definition file.

### Methods inherited from interface IUAElement

`getChildren, isEnabled`

## Method Details

### getCriterionDefinitions

ICriterionDefinition[] getCriterionDefinitions()
Obtains the criterion definitions contained in the definition file.

Returns:
  Array of ICriterionDefinition